# HG changeset patch
# Node ID 359352b67935
# Parent  63b268dea795
diff --git a/docker/environment.go b/docker/environment.go
--- a/docker/environment.go
+++ b/docker/environment.go
@@ -21,7 +21,7 @@ func (e *Environment) Valid() error {
 	return fmt.Errorf("The docker/environment tasks was removed in version 0.15.0")
 }
 
-// Executes the task
+// Execute runs the task.
 func (e *Environment) Execute(name string, logger *log.Entry, env environment.Environment, rt *runtime.Runtime) error {
 	return nil
 }
diff --git a/docker/export.go b/docker/export.go
--- a/docker/export.go
+++ b/docker/export.go
@@ -31,7 +31,7 @@ func (e *Export) Valid() error {
 	return e.realExport.Valid()
 }
 
-// Executes the task
+// Execute runs the task.
 func (e *Export) Execute(name string, logger *log.Entry, env environment.Environment, rt *runtime.Runtime) error {
 	return e.realExport.Execute(name, logger, env, rt)
 }
diff --git a/docker/import.go b/docker/import.go
--- a/docker/import.go
+++ b/docker/import.go
@@ -31,7 +31,7 @@ func (i *Import) Valid() error {
 	return i.realImport.Valid()
 }
 
-// Executes the task
+// Execute runs the task.
 func (i *Import) Execute(name string, logger *log.Entry, env environment.Environment, rt *runtime.Runtime) error {
 	return i.realImport.Execute(name, logger, env, rt)
 }
diff --git a/docker/run.go b/docker/run.go
--- a/docker/run.go
+++ b/docker/run.go
@@ -61,7 +61,7 @@ func (r *Run) Valid() error {
 	return r.realRun.Valid()
 }
 
-// Executes the task
+// Execute runs the task.
 func (r *Run) Execute(name string, logger *log.Entry, env environment.Environment, rt *runtime.Runtime) error {
 	return r.realRun.Execute(name, logger, env, rt)
 }
diff --git a/docker/tag.go b/docker/tag.go
--- a/docker/tag.go
+++ b/docker/tag.go
@@ -38,7 +38,7 @@ func (t *Tag) Valid() error {
 	return t.realTag.Valid()
 }
 
-// Executes the task
+// Execute runs the task.
 func (t *Tag) Execute(name string, logger *log.Entry, env environment.Environment, rt *runtime.Runtime) error {
 	return t.realTag.Execute(name, logger, env, rt)
 }
diff --git a/environment/expand.go b/environment/expand.go
--- a/environment/expand.go
+++ b/environment/expand.go
@@ -30,9 +30,9 @@ func (e Environment) expandMapper(name s
 // recursing if the value contains another variable.
 func (e Environment) Expand(key string) string {
 	last := os.Expand(key, e.expandMapper)
-	n_tries := 10
+	tries := 10
 
-	for i := 0; i < n_tries; i++ {
+	for i := 0; i < tries; i++ {
 		next := os.Expand(last, e.expandMapper)
 		if next == last {
 			return next
@@ -40,7 +40,7 @@ func (e Environment) Expand(key string) 
 		last = next
 	}
 
-	log.Warnf("failed to fully expand %q after %d recursions", key, n_tries)
+	log.Warnf("failed to fully expand %q after %d recursions", key, tries)
 
 	return ""
 }
diff --git a/podman/run.go b/podman/run.go
--- a/podman/run.go
+++ b/podman/run.go
@@ -90,8 +90,8 @@ func (r *Run) Execute(name string, logge
 	)
 
 	// If --cpu-shares was specified on the command line add it now.
-	if rt.CpuShares != "" {
-		generator.Append("--cpu-shares", rt.CpuShares)
+	if rt.CPUShares != "" {
+		generator.Append("--cpu-shares", rt.CPUShares)
 	}
 
 	// If --memory was specified on the command line add it now.
diff --git a/runner/cmd.go b/runner/cmd.go
--- a/runner/cmd.go
+++ b/runner/cmd.go
@@ -35,7 +35,7 @@ import (
 
 type RunnerCmd struct {
 	ConfigFile      string        `kong:"flag,help='The config file to load',placeholder='FILE',short='f',default='convey.yml',name='config'"`
-	CpuShares       string        `kong:"flag,help='The amount of cpu shares given to run tasks',placeholder='CPU-SHARES',short='c'"`
+	CPUShares       string        `kong:"flag,help='The amount of cpu shares given to run tasks',placeholder='CPU-SHARES',short='c'"`
 	ForceSequential bool          `kong:"flag,help='Force concurrent stages to be ran sequentially',short='S',default='false'"`
 	KeepWorkspace   bool          `kong:"flag,help='Keep the workspace directory after running',default='false'"`
 	Memory          string        `kong:"flag,help='The amount of memory shares given to run tasks',placeholder='MEMORY',short='m'"`
diff --git a/runner/runtime.go b/runner/runtime.go
--- a/runner/runtime.go
+++ b/runner/runtime.go
@@ -32,8 +32,8 @@ func (c *RunnerCmd) Runtime(configPath s
 	rt.Plans = cfg.Plans
 	rt.MetaPlans = cfg.MetaPlans
 
-	if c.CpuShares != "" {
-		rt.CpuShares = c.CpuShares
+	if c.CPUShares != "" {
+		rt.CPUShares = c.CPUShares
 	}
 
 	if c.Memory != "" {
diff --git a/runtime/count_task.go b/runtime/count_task.go
--- a/runtime/count_task.go
+++ b/runtime/count_task.go
@@ -29,7 +29,7 @@ type Count struct {
 
 // Execute runs the count task.
 func (c *Count) Execute(name string, logger *log.Entry, env environment.Environment, rt *Runtime) error {
-	c.Count += 1
+	c.Count++
 
 	return nil
 }
diff --git a/runtime/fail.go b/runtime/fail.go
--- a/runtime/fail.go
+++ b/runtime/fail.go
@@ -28,17 +28,17 @@ import (
 type Fail struct{}
 
 // Execute runs the fail task.
-func (c *Fail) Execute(name string, logger *log.Entry, env environment.Environment, rt *Runtime) error {
+func (f *Fail) Execute(name string, logger *log.Entry, env environment.Environment, rt *Runtime) error {
 	return fmt.Errorf("convey/fail task always fails")
 }
 
 // New creates a new fail task.
-func (c *Fail) New() Task {
+func (f *Fail) New() Task {
 	return &Fail{}
 }
 
 // Valid validates the fail task.
-func (c *Fail) Valid() error {
+func (f *Fail) Valid() error {
 	return nil
 }
 
diff --git a/runtime/runtime.go b/runtime/runtime.go
--- a/runtime/runtime.go
+++ b/runtime/runtime.go
@@ -35,7 +35,7 @@ type Runtime struct {
 	ForceSequential bool
 	KeepWorkspace   bool
 
-	CpuShares string
+	CPUShares string
 	Memory    string
 	Timeout   time.Duration
 
diff --git a/tasks/clone.go b/tasks/clone.go
--- a/tasks/clone.go
+++ b/tasks/clone.go
@@ -22,7 +22,7 @@ import (
 	"keep.imfreedom.org/grim/convey/runtime"
 )
 
-// CloneTask creates a task of the given type from the given payload. It
+// Clone creates a task of the given type from the given payload. It
 // does this by creating a fresh instance of a task of the target type,
 // then marshalling/unmarshalling the payload to that type.
 func Clone(task interface{}, taskType runtime.Task) (runtime.Task, error) {
diff --git a/tasks/export.go b/tasks/export.go
--- a/tasks/export.go
+++ b/tasks/export.go
@@ -46,7 +46,7 @@ func (e *Export) Valid() error {
 	return nil
 }
 
-// Executes the task
+// Execute runs the task.
 func (e *Export) Execute(name string, logger *log.Entry, env environment.Environment, rt *runtime.Runtime) error {
 	fullEnv := env.Copy().Merge(rt.Environment)
 
diff --git a/tasks/import.go b/tasks/import.go
--- a/tasks/import.go
+++ b/tasks/import.go
@@ -47,7 +47,7 @@ func (i *Import) Valid() error {
 	return nil
 }
 
-// Executes the task
+// Execute runs the task.
 func (i *Import) Execute(name string, logger *log.Entry, env environment.Environment, rt *runtime.Runtime) error {
 	fullEnv := env.Copy().Merge(rt.Environment)
 
diff --git a/tasks/noop.go b/tasks/noop.go
--- a/tasks/noop.go
+++ b/tasks/noop.go
@@ -27,17 +27,17 @@ import (
 type Noop struct{}
 
 // Execute runs the noop task.
-func (c *Noop) Execute(name string, logger *log.Entry, env environment.Environment, rt *runtime.Runtime) error {
+func (n *Noop) Execute(name string, logger *log.Entry, env environment.Environment, rt *runtime.Runtime) error {
 	return nil
 }
 
 // New creates a new noop task.
-func (c *Noop) New() runtime.Task {
+func (n *Noop) New() runtime.Task {
 	return &Noop{}
 }
 
 // Valid validates the noop task.
-func (c *Noop) Valid() error {
+func (n *Noop) Valid() error {
 	return nil
 }
 
